## com.sun.jna.platform.win32
Class GDI32.RGBQUAD

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.GDI32.RGBQUAD

Enclosing interface:
  GDI32

    public static class GDI32.RGBQUAD

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`byte` `rgbBlue`
`byte` `rgbGreen`
`byte` `rgbRed`
`byte` `rgbReserved`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`GDI32.RGBQUAD()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### rgbBlue

    public byte rgbBlue

### rgbGreen

    public byte rgbGreen

### rgbRed

    public byte rgbRed

### rgbReserved

    public byte rgbReserved

Constructor Detail

### GDI32.RGBQUAD

    public GDI32.RGBQUAD()